wxWidgets: wxPoint2DDouble Class Reference

| Version: 3.0.4

Public Member Functions | Public Attributes | List of all members
wxPoint2DDouble Class Reference

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/geometry.h>`

## Public Member Functions
| wxPoint2DDouble ()
| wxPoint2DDouble (wxDouble x, wxDouble y)
| wxPoint2DDouble (const wxPoint2DDouble &pt)
| wxPoint2DDouble (const wxPoint2DInt &pt)
| wxPoint2DDouble (const wxPoint &pt)
void | GetFloor (wxInt32 *x, wxInt32 *y) const
void | GetRounded (wxInt32 *x, wxInt32 *y) const
wxDouble | GetVectorLength () const
wxDouble | GetVectorAngle () const
void | SetVectorLength (wxDouble length)
void | SetVectorAngle (wxDouble degrees)
void | SetPolarCoordinates (wxDouble angle, wxDouble length)
void | Normalize ()
wxDouble | GetDistance (const wxPoint2DDouble &pt) const
wxDouble | GetDistanceSquare (const wxPoint2DDouble &pt) const
wxDouble | GetDotProduct (const wxPoint2DDouble &vec) const
wxDouble | GetCrossProduct (const wxPoint2DDouble &vec) const
wxPoint2DDouble | operator- ()
wxPoint2DDouble & | operator= (const wxPoint2DDouble &pt)
wxPoint2DDouble & | operator+= (const wxPoint2DDouble &pt)
wxPoint2DDouble & | operator-= (const wxPoint2DDouble &pt)
wxPoint2DDouble & | operator*= (const wxPoint2DDouble &pt)
wxPoint2DDouble & | operator*= (wxDouble n)
wxPoint2DDouble & | operator*= (wxInt32 n)
wxPoint2DDouble & | operator/= (const wxPoint2DDouble &pt)
wxPoint2DDouble & | operator/= (wxDouble n)
wxPoint2DDouble & | operator/= (wxInt32 n)
bool | operator== (const wxPoint2DDouble &pt) const
bool | operator!= (const wxPoint2DDouble &pt) const

## Public Attributes
wxDouble | m_x
wxDouble | m_y

## Constructor & Destructor Documentation

## ◆ wxPoint2DDouble() [1/5]

wxPoint2DDouble::wxPoint2DDouble | ( |  | ) |

## ◆ wxPoint2DDouble() [2/5]

wxPoint2DDouble::wxPoint2DDouble | ( | wxDouble | x,
|  | wxDouble | y
| ) |  |

## ◆ wxPoint2DDouble() [3/5]

wxPoint2DDouble::wxPoint2DDouble | ( | const wxPoint2DDouble & | pt | ) |

## ◆ wxPoint2DDouble() [4/5]

wxPoint2DDouble::wxPoint2DDouble | ( | const wxPoint2DInt & | pt | ) |

## ◆ wxPoint2DDouble() [5/5]

wxPoint2DDouble::wxPoint2DDouble | ( | const wxPoint & | pt | ) |

## Member Function Documentation

## ◆ GetCrossProduct()

wxDouble wxPoint2DDouble::GetCrossProduct | ( | const wxPoint2DDouble & | vec | ) | const

## ◆ GetDistance()

wxDouble wxPoint2DDouble::GetDistance | ( | const wxPoint2DDouble & | pt | ) | const

## ◆ GetDistanceSquare()

wxDouble wxPoint2DDouble::GetDistanceSquare | ( | const wxPoint2DDouble & | pt | ) | const

## ◆ GetDotProduct()

wxDouble wxPoint2DDouble::GetDotProduct | ( | const wxPoint2DDouble & | vec | ) | const

## ◆ GetFloor()

void wxPoint2DDouble::GetFloor | ( | wxInt32 * | x,
|  | wxInt32 * | y
| ) |  | const

## ◆ GetRounded()

void wxPoint2DDouble::GetRounded | ( | wxInt32 * | x,
|  | wxInt32 * | y
| ) |  | const

## ◆ GetVectorAngle()

wxDouble wxPoint2DDouble::GetVectorAngle | ( |  | ) | const

## ◆ GetVectorLength()

wxDouble wxPoint2DDouble::GetVectorLength | ( |  | ) | const

## ◆ Normalize()

void wxPoint2DDouble::Normalize | ( |  | ) |

## ◆ operator!=()

bool wxPoint2DDouble::operator!= | ( | const wxPoint2DDouble & | pt | ) | const

## ◆ operator*=() [1/3]

wxPoint2DDouble& wxPoint2DDouble::operator*= | ( | const wxPoint2DDouble & | pt | ) |

## ◆ operator*=() [2/3]

wxPoint2DDouble& wxPoint2DDouble::operator*= | ( | wxDouble | n | ) |

## ◆ operator*=() [3/3]

wxPoint2DDouble& wxPoint2DDouble::operator*= | ( | wxInt32 | n | ) |

## ◆ operator+=()

wxPoint2DDouble& wxPoint2DDouble::operator+= | ( | const wxPoint2DDouble & | pt | ) |

## ◆ operator-()

wxPoint2DDouble wxPoint2DDouble::operator- | ( |  | ) |

## ◆ operator-=()

wxPoint2DDouble& wxPoint2DDouble::operator-= | ( | const wxPoint2DDouble & | pt | ) |

## ◆ operator/=() [1/3]

wxPoint2DDouble& wxPoint2DDouble::operator/= | ( | const wxPoint2DDouble & | pt | ) |

## ◆ operator/=() [2/3]

wxPoint2DDouble& wxPoint2DDouble::operator/= | ( | wxDouble | n | ) |

## ◆ operator/=() [3/3]

wxPoint2DDouble& wxPoint2DDouble::operator/= | ( | wxInt32 | n | ) |

## ◆ operator=()

wxPoint2DDouble& wxPoint2DDouble::operator= | ( | const wxPoint2DDouble & | pt | ) |

## ◆ operator==()

bool wxPoint2DDouble::operator== | ( | const wxPoint2DDouble & | pt | ) | const

## ◆ SetPolarCoordinates()

void wxPoint2DDouble::SetPolarCoordinates | ( | wxDouble | angle,
|  | wxDouble | length
| ) |  |

## ◆ SetVectorAngle()

void wxPoint2DDouble::SetVectorAngle | ( | wxDouble | degrees | ) |

## ◆ SetVectorLength()

void wxPoint2DDouble::SetVectorLength | ( | wxDouble | length | ) |

## Member Data Documentation

## ◆ m_x

wxDouble wxPoint2DDouble::m_x

## ◆ m_y

wxDouble wxPoint2DDouble::m_y